use askama::Template;
use askama_axum::IntoResponse;
use axum::{routing, Router};

#[derive(Template)]
#[template(path = "hello.html")]
struct HelloResponse {
    pub name: String,
}

async fn hello() -> impl IntoResponse {
    HelloResponse {
        name: "Theo".to_string(),
    }.into_response()
}

pub fn get_routes() -> Router {
    Router::new()
        .route("/", routing::get(hello))
}
